Show / Hide Table of Contents

# Class QueueItem

Class that stores the state of a binding queue request item

##### Inheritance

System.Object
QueueItem

##### Inherited Members

System.Object.Equals(System.Object)
System.Object.Equals(System.Object, System.Object)
System.Object.GetHashCode()
System.Object.GetType()
System.Object.MemberwiseClone()
System.Object.ReferenceEquals(System.Object, System.Object)
System.Object.ToString()

###### Namespace:Microsoft.SqlTools.ServiceLayer.LanguageServices

###### Assembly:Microsoft.SqlTools.ServiceLayer.dll

##### Syntax

    public class QueueItem

### Constructors

| Improve this Doc View Source

#### QueueItem()

QueueItem constructor

##### Declaration

    public QueueItem()

### Properties

| Improve this Doc View Source

#### BindingTimeout

Gets or sets the binding operation timeout in milliseconds

##### Declaration

    public int ? BindingTimeout { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

| Improve this Doc View Source

#### BindOperation

Gets or sets the bind operation callback method

##### Declaration

    public Func<IBindingContext, CancellationToken, object> BindOperation { get; set; }

##### Property Value

Type | Description
--- | ---
System.Func<IBindingContext, System.Threading.CancellationToken, System.Object> |

| Improve this Doc View Source

#### ItemProcessed

Gets or sets an event to signal when this queue item has been processed

##### Declaration

    public virtual ManualResetEvent ItemProcessed { get; set; }

##### Property Value

Type | Description
--- | ---
System.Threading.ManualResetEvent |

| Improve this Doc View Source

#### Key

Gets or sets the queue item key

##### Declaration

    public string Key { get; set; }

##### Property Value

Type | Description
--- | ---
System.String |

| Improve this Doc View Source

#### Result

Gets or sets the result of the queued task

##### Declaration

    public object Result { get; set; }

##### Property Value

Type | Description
--- | ---
System.Object |

| Improve this Doc View Source

#### TimeoutOperation

Gets or sets the timeout operation to call if the bind operation doesn't finish within timeout period

##### Declaration

    public Func<IBindingContext, object> TimeoutOperation { get; set; }

##### Property Value

Type | Description
--- | ---
System.Func<IBindingContext, System.Object> |

| Improve this Doc View Source

#### WaitForLockTimeout

Gets or sets the timeout for how long to wait for the binding lock

##### Declaration

    public int ? WaitForLockTimeout { get; set; }

##### Property Value

Type | Description
--- | ---
System.Nullable<System.Int32> |

### Methods

| Improve this Doc View Source

#### GetResultAsT<T>()

Converts the result of the execution to type T

##### Declaration

    public T GetResultAsT<T>()where T : class

##### Returns

Type | Description
--- | ---
T |

##### Type Parameters

Name | Description
--- | ---
T |